%define name openoffice
%define version 6.0.5
%define release 1mdk

Summary: Open Office
Name: %{name}
Version: %{version}
Release: %{release}
Source0: oo_605_src.tar.bz2
Source1: dmake.tar.bz2
Patch0: openoffice-configure.patch.bz2
Patch1: openoffice-makefile.patch.bz2
Copyright: LGPL
Group: Office
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pam-devel /bin/csh jdk >= 1.2.2 XFree86 perl XFree86-static-libs
BuildConflicts: kaffe

%description
OpenOffice.org is a unified suite of productivity applications 
for all common office applications, including such functions 
as word processing, spreadsheets, drawings, presentations, data charting
and formula editing.

WARNING : This is not a stable release and does not include all features 
(such as printing ...)

To install OpenOffice, as a user, you must run :
cd /usr/lib/%{name}-%{version}
./setup

%prep
%setup -q -n oo_605_src
%setup1 -q -T -D -a 1 -c -n oo_605_src
%patch -p 1 -b .config
%patch1 -p 1 -b .oldmk
( cd config_office ; autoconf )
chmod +x std2/prj/rmheader
%build

echo "checking if X Window display is reacheable ( MANDATORY )"

xdpyinfo 2>&1 > /dev/null

if [ -$JAVA_HOME = - ] ; then
	export JAVA_HOME=/usr/jdk-sun1.2.2
fi

echo "checking if Java is accessible (use JAVA_HOME to give JDK location location)"

$JAVA_HOME/bin/java -version 2> /dev/null > /dev/null

( cd config_office ; ./configure --with-jdk-home=$JAVA_HOME )
/bin/csh -c "source LinuxIntelEnv.Set ;  dmake sal ; dmake product=full"


%install
rm -rf $RPM_BUILD_ROOT

/bin/csh -c "source LinuxIntelEnv.Set && dmake install"

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
cp instsetoo/unxlngi3.pro/normal/* $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/%{name}-%{version}/setup
%{_libdir}/%{name}-%{version}/setup.ins
%{_libdir}/%{name}-%{version}/f*


%changelog
* Mon Oct 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 6.0.5-1mdk
- Initial Release


# end of file
